set terminal postscript eps color "Arial" 21

set key bmargin center horizontal box
set title "Anzahl der Informatik-Studenten"
set xlabel "Semester"
set ylabel "Anzahl Studenten"

set style data histogram
set style fill solid
set output 'histogram.eps'
plot 'bachelor_ang_informatik.dat' using 3:xticlabels(1) title "Gesamt", 'bachelor_ang_informatik.dat' using 2:xticlabels(1) title "Erstsemestrige"

set style data lines
set output 'lines.eps'
replot

set style data boxes
set style fill solid border -1
set output 'boxes.eps'
replot
