set terminal postscript eps color "Helvetica,21"

set key bmargin center horizontal box
set xlabel "Listenlaenge"
set ylabel "Zeit [sec]"
set datafile separator ","

set style data linespoint
set pointsize 2
set style line 1 linewidth 5
set style line 2 linewidth 5
set style line 3 linewidth 5
set style line 4 linewidth 5
set style increment user

set output 'random.eps'
set title "Sortieren einer zufaelligen Liste"
plot 'random.dat' using 3:xticlabels(2) title "Quicksort", 'random.dat' using 4:xticlabels(2) title "Heapsort", 'random.dat' using 5:xticlabels(2) title "Bubblesort", 'random.dat' using 6:xticlabels(2) title "Mathematica Sort"

set output 'asc.eps'
set title "Sortieren einer aufsteigend sortierten Liste"
plot 'asc.dat' using 3:xticlabels(2) title "Quicksort", 'asc.dat' using 4:xticlabels(2) title "Heapsort", 'asc.dat' using 5:xticlabels(2) title "Bubblesort", 'asc.dat' using 6:xticlabels(2) title "Mathematica Sort"

set output 'dsc.eps'
set title "Sortieren einer absteigend sortierten Liste"
plot 'dsc.dat' using 3:xticlabels(2) title "Quicksort", 'dsc.dat' using 4:xticlabels(2) title "Heapsort", 'dsc.dat' using 5:xticlabels(2) title "Bubblesort", 'dsc.dat' using 6:xticlabels(2) title "Mathematica Sort"
